Bug 444104 - 2.6.24.4-64.fc8 USB hang after attaching USB card reader/hub
2.6.24.4-64.fc8 USB hang after attaching USB card reader/hub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 21:03 EDT by Chris Gordon
Modified: 2009-01-09 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog messages as requested (243.17 KB, text/plain)
2008-04-26 11:06 EDT, Chris Gordon
no flags Details
smolt output for this system (5.70 KB, text/plain)
2008-04-26 11:12 EDT, Chris Gordon
no flags Details

  None (edit)
Description Chris Gordon 2008-04-24 21:03:29 EDT
Description of problem:

When connecting the 8-in-1 USB card reader and USB Hub contained in a Dell
2405FPW monitor to my system running 2.6.24.4-64.fc8 x86_64, I lose my USB mouse
and lsusb hangs in an uninterruptable sleep.  If this card reader/hub is
connected when booting this kernel, the boot hangs after displaying the "loading
RedHat nash..." line.

This is a freshly installed new machine.  The problem does not occur with the
original kernel on the Fedora 8 install CD.  This machine is fully patched with
all updates.  This machine is running a gigabyte MA-790X-DS4 motherboard with
the most current (F4) BIOS installed.

This USB device had been connected to a machine running 32bit Fedora 8 and had
no problems.


Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8.x86_64
usbutils-0.71-2.1


How reproducible:

This happens every time the USB device is connected while running this kernel
version.


Steps to Reproduce:
1.  Boot system with 2.6.24.4-64.fc8 x86_64 kernel
2.  Connect USB card reader/hub contained in Dell 2405FPW monitor
3.  watch USB mouse disappear and not return even after removing card reader/HUB
and reconnecting mouse.  Note that USB keyboard remains working.
4.  Run /sbin/lsusb and watch it hang in an uninterruptable sleep.
  
Actual results:
- Essentially any connected USB devices, other than keyboard, disappear.
- lsusb hangs

Expected results:
- Have all usb devices working and card reader and hub available for use
- lsusb to not hang

Additional info:
Comment 1 Chuck Ebbert 2008-04-25 08:59:32 EDT
Can you get a snapshot of the system state when lsusb freezes?

1. Boot with these additional kernel options:

    sysrq_always_enabled ignore_loglevel

2. attach the device and run lsusb

3. in another window, type:

   echo 't' >/proc/sysrq-trigger

4. upload what that command dumps to the system log

Comment 2 Chris Gordon 2008-04-26 11:06:48 EDT
Created attachment 303849 [details]
syslog messages as requested
Comment 3 Chris Gordon 2008-04-26 11:12:10 EDT
Created attachment 303850 [details]
smolt output for this system

I've attached the smolt data for this system in case there are any details in
it which may be of use.
Comment 4 Chuck Ebbert 2008-04-26 21:15:12 EDT
 khubd         D ffffffff81280d60     0   152      2
  ffff81012f09dcc0 0000000000000046 0000000000000000 ffffffff8126829c
  0000000000000000 ffff81012f0988b0 ffff81012fa69160 ffff81012f098b90
  ffffffffffffffff ffffffff8800623b 0000000000000000 0000000000000000
 Call Trace:
  [<ffffffff8126829c>] schedule_timeout+0x92/0xad
  [<ffffffff8800623b>] :ehci_hcd:ehci_urb_dequeue+0xfa/0x108
  [<ffffffff811b5ee4>] usb_kill_urb+0xbe/0xf1
  [<ffffffff81048f1d>] autoremove_wake_function+0x0/0x2e
  [<ffffffff811b68c3>] usb_start_wait_urb+0x74/0xa6
  [<ffffffff811b6ade>] usb_control_msg+0xc4/0xe7
  [<ffffffff811b1079>] hub_port_status+0x74/0xfb
  [<ffffffff811b3acc>] hub_thread+0x476/0xc71
Comment 5 Chris Gordon 2008-05-04 22:50:48 EDT
Problem still present with 2.6.24.5-85.fc8 kernel (x86_64).

Noticed lock up when attempting to use scanner (Seiko Epson Corp. Perfection
2400 Photo).  Also noticed lockup when plugging in a USB thumb drive.  

All devices, mouse, scanner and thumb drive, where plugged in via Belkin 7 port
USB hub (f5u237).  I have removed this hub from the system and connect mouse
directly to motherboard USB port.  Connecting monitor (hub and card reader) now
works fine and running the scanner through the hub in the monitor works fine.

Plugging in a usb stick to either a motherboard usb port or the monitor usb hub
causes a lock up.

This hub had been working on a Fedora 8 (32bit) machine perfectly fine and was
simply moved to a new machine (64bit). 
Comment 6 Chris Gordon 2008-05-17 09:05:12 EDT
Put the Belkin hub back on the system and it works fine.  The Dell hub/card
reader, though, still locks up things when it's connected.

Is anyone even looking into this?  I'll provided whatever info/testing is needed
to try and resolve the problem.

2.6.24.7-92.fc8 still exhibits the problem.
Comment 7 Chris Gordon 2008-06-08 16:38:53 EDT
I've done some more testing and narrowed things down a little bit more, at least
with respect to what devices cause the lock up.

I have two machines that have the problem.  Both are the same as reported
previously in the bug (gigabyte MA-790X-DS4 motherboards).  The lockups occur on
both machines in the same manner, all but eliminating failed hardware.

Anytime a USB hub or device containing a USB hub is plugged in and you attempt
to do move any significant amount of data over USB (anything other than keyboard
and mouse), the lock up occurs.  I've had the lock up occur in the following cases:
 - attach a usb memory stick through a usb hub.  Note that the mouse is normally
connected to the hub and everything works fine when ONLY the mouse is using the hub.
 - With a hub attached and attempting to use a scanner (Epson perfections 2400
photo).  Occurs when scanner is attached to either a hub or to a port on the
motherboard.
 - With an HP Deskjet D4260 (contains a hub) with or without another hub
attached to the machine.  Occurs when attempting to send a print job.


My guesses at this point are that the problem is either:
- Something bad in the Gigabyte BIOS.  If this where true, I'd expect many
reports of problems from Windows users.  I've not found any.
- There is something about the Fedora 8 kernels that don't like this board or
BIOS.  I've not tried a 32bit install to see if this is limited to 64bit installs.

It'd be nice if someone could at least identify the general direction of the
problem.
Comment 8 Chris Gordon 2008-06-08 16:40:25 EDT
I changed this to urgent since (a) I haven't had any feedback on this issue
after the initial request for info, and (b) I have two machines that have
limited usability. (reliable usb is pretty critical for desktops/workstations
these days).
Comment 9 Chris Gordon 2008-07-25 10:46:17 EDT
Wow, 3 months and no help at all on my bug.  Not even someone to say "sorry,
your mother board/BIOS is the problem".  Granted that posted this right about
the time that Fedora 9 came out, but after a couple of months, I'd hope that
someone would at least post some status on this.
Comment 10 Pete Zaitcev 2008-07-25 16:02:14 EDT
Chris, it looked like you were well on track. If it really were a hang
during unlinks in ehci_hcd, I could look into it closer.
Comment 11 Chris Gordon 2008-07-25 18:19:57 EDT
I would greatly appreciate that since I've had to stop considering Fedora a
viable workstation OS on my machines because of this bug.  I have two machines
of identical hardware config that I can test with to try and get this bug fixed.

Thank you.
Comment 12 Chuck Ebbert 2008-07-30 00:48:50 EDT
(In reply to comment #7)
> Anytime a USB hub or device containing a USB hub is plugged in and you attempt
> to do move any significant amount of data over USB (anything other than keyboard
> and mouse), the lock up occurs.  I've had the lock up occur in the following
cases:
>  - attach a usb memory stick through a usb hub.  Note that the mouse is normally
> connected to the hub and everything works fine when ONLY the mouse is using
the hub.
>  - With a hub attached and attempting to use a scanner (Epson perfections 2400
> photo).  Occurs when scanner is attached to either a hub or to a port on the
> motherboard.
>  - With an HP Deskjet D4260 (contains a hub) with or without another hub
> attached to the machine.  Occurs when attempting to send a print job.

Works perfectly for me with a Dell USB hub built into a Dell display.

I can copy 25 gigabytes of data to a USB hard drive with no problem.

OTOH connecting the same drive to the front connectors on the same machine (Dell
490 workstation) causes all kinds of problems. Data transfers very slowly and
the whole system slows down until the data is copied.
Comment 13 Chris Gordon 2008-07-30 09:39:35 EDT
I don't believe that the problem is the Dell monitor/HUB.  I've used this
monitor/HUB on other machines.  I believe the problem is associated with the
Gigabyte MA-790X-DS4 motherboard/chipsets and the kernel.  Across two different
identical machines (with this mobo) and various different USB devices and hubs,
the same problem exists.  If a hub of any sort (stand alone, in the Dell
monitor, in the HP Printer) is attached and you try to do anything over USB
(file xfer to USB drive/stick, printing, scanning, etc) USB locks up completely.
 The only USB device accessable/working is the keyboard; lsusb hangs in
uninterruptable sleep; any other processes trying to touch anything USB end up
in uninterruptable sleep.

At this point (3 months after initial bug report), I just don't consider Fedora
a viable workstation and have stopped using it.  I still have the machines with
Fedora on them and am happy to do whatever testing/troubleshooting I can to help
resolve this.  At some point, though, I will re-image the machines (probably to
CentOS) and re-dploy them for other uses.
Comment 14 Pete Zaitcev 2008-08-13 21:04:30 EDT
Great, may I close the bug then?
Comment 15 Chris Gordon 2008-08-14 14:43:58 EDT
Close it if you want, though the problem still exists.

Just to summarize the problem:
 - This motherboard (http://www.gigabyte.com.tw/Products/Motherboard/Products_Overview.aspx?ProductID=2695)
 - plus Fedora 8 kernels
 - plus USB Hubs
 - results in USB lockups as described earlier in the thread and supported with the syslog messages and dumps as requested.

I have two different machines that exhibit the same exact problem.  I've used all of the USB peripherals in other machines with Fedora 8 and had no problems.

Something about this specific board/BIOS and the newer kernels doesn't seem to get along.

<rant>
I've been using Linux exclusively on my desktop (and most of my servers) for over 10 years now -- started with Redhat 4.2 and continued on.  I've tried to push Linux on the desktop with friends, coworkers and as general advocacy.  This bug and the lack of support for it has been my last straw with desktop Linux.  I've bought a couple of Macs to replace my Linux desktops and am extremely happy with things just working.  I love the ideals and values of Free Software, but when the software simply won't work and I can't get anyone help to fix it, the value of it quickly goes to zero.  I'm not a big fan of paying for a closed source system, but I do have to say it's nice to have a system that "just works" and access to a lot of very nice desktop applications -- Aperture, iLife, Final Cut Express, etc.

I wish I could be of more help in getting this problem fixed, but I'm not a kernel developer, so it's a bit outside of my expertise.  I had been more than happy to do whatever testing was needed or anything else possible to help solve the problem.  Regretfully I must say "so long, and thanks for all the fish."
</rant>
Comment 16 Bug Zapper 2008-11-26 05:34:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 01:25:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.